public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
To: git-commits@fedoraproject.org
Subject: [rpms/setup] update_services: Fix uidgidlint invocation in %check
Date: Mon, 22 Jun 2026 15:56:30 GMT	[thread overview]
Message-ID: <178214379030.1.490376578178057904.rpms-setup-cab8b065bde0@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : rpms/setup
            Branch : update_services
            Commit : cab8b065bde0083e278d0b066dc77ffc2b4f9e8c
            Author : Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
            Date   : 2025-03-15T16:00:46+01:00
            Stats  : +5/-2 in 2 file(s)
            URL    : https://src.fedoraproject.org/rpms/setup/c/cab8b065bde0083e278d0b066dc77ffc2b4f9e8c?branch=update_services

            Log:
            Fix uidgidlint invocation in %check

The test failed:
  + cd etc
  + bash /builddir/build/SOURCES/uidgidlint ./uidgid
  grep: ./uidgid: No such file or directory
  grep: ./uidgid: No such file or directory
but because pipefail wasn't set, the script iterated over empty input
and didn't actually test anything.

Set -o eu,pipefail to catch similar errors in the future and fix the
invocation so that the test passes.

[skip changelog]

---
diff --git a/setup.spec b/setup.spec
index 9d7688f..ceee55e 100644
--- a/setup.spec
+++ b/setup.spec
@@ -66,7 +66,7 @@ bash -n etc/bashrc
 bash -n etc/profile
 tcsh -f etc/csh.cshrc
 tcsh -f etc/csh.login
-(cd etc && bash %SOURCE34 ./uidgid)
+bash %SOURCE34 docs/uidgid
 (cd etc && perl %SOURCE35 ./services)
 
 %install

diff --git a/uidgidlint b/uidgidlint
index 902f55e..c45beb3 100755
--- a/uidgidlint
+++ b/uidgidlint
@@ -1,4 +1,7 @@
-#!/bin/sh
+#!/bin/bash
+set -eu
+set -o pipefail
+
 # We need a file to look at.
 if [ -z "$*" ] ; then
 	echo Usage: `basename $0` uidgid

                 reply	other threads:[~2026-06-22 15:56 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178214379030.1.490376578178057904.rpms-setup-cab8b065bde0@fedoraproject.org \
    --to=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox